package com.zanxiang.manage.mapper;

import org.apache.ibatis.annotations.Mapper;
import com.zanxiang.manage.domain.entity.Demo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 注释 Mapper
 *
 * @author xufeng
 * @date 2022-05-31 17:06
 */
@Mapper
public interface DemoMapper extends BaseMapper<Demo> {

    /**
     * 根据主键id查询
     *
     * @param id
     * @return 记录信息
     */
    Demo selectByPrimaryKey(Long id);

    /**
     * 根据主键删除数据
     *
     * @param id
     * @return 数量
     */
    int deleteByPrimaryKey(Long id);

    /**
     * 插入数据库记录（不建议使用）
     *
     * @param record
     */
    int insert(Demo record);

    /**
     * 插入数据库记录（建议使用）
     *
     * @param record 插入数据
     * @return 插入数量
     */
    int insertSelective(Demo record);

    /**
     * 修改数据(推荐使用)
     *
     * @param record 更新值
     * @return 更新数量
     */
    int updateByPrimaryKeySelective(Demo record);

    /**
     * 根据主键更新数据
     *
     * @param record 更新值
     * @return 更新数量
     */
    int updateByPrimaryKey(Demo record);
}
