package com.zanxiang.sdk.domain.bo;

import lombok.Data;
import org.springframework.lang.NonNull;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PlatformOrderBO {
    private String id;

    /**
     * cpId
     */
    private Long cpId;

    /**
     * CP订单号
     */
    private String cpOrderId;

    /**
     * 充值用户
     */
//    @NonNull
    private Long userId;

    /**
     * 游戏玩家ID
     */
    private Long mgUserId;

    /**
     * 游戏ID
     */
//    @NonNull
    private Long gameId;

    /**
     * 货物总价
     */
//    @NonNull
    private BigDecimal amount;

    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;

    /**
     * 游戏商品ID
     */
    private String productId;

    /**
     * 游戏商品数量
     */
//    @NonNull
    private Integer productCnt;

    /**
     * 游戏商品名称
     */
//    @NonNull
    private String productName;

    /**
     * 优惠券抵扣
     */
    private BigDecimal couponAmount;

    /**
     * 平台币使用金额
     */
    private BigDecimal ptbAmount;

    /**
     * 游戏币使用余额
     */
    private BigDecimal gmAmount;

    /**
     * 使用积分
     */
    private Integer integral;

    /**
     * 使用积分抵多少钱
     */
    private BigDecimal integralMoney;

    /**
     * 返利数量 默认为0
     */
    private BigDecimal rebateAmount;

    /**
     * 支付平台返回交易订单号
     */
    private String merchantOrderNo;

    /**
     * 支付状态，1待支付，2 支付成功，3 已取消
     */
    private Integer status;

    /**
     * 支付方式
     */
    private String gamePaywayId;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 通知次数
     */
    private Integer cpNotifyCnt;

    /**
     * 最近通知时间
     */
    private Long lastCpNotifyTime;

    /**
     * 客服处理： 2正常； 1纠纷
     */
    private Integer isHandle;

    /**
     * 是否已分成  1未分成 2 已分成
     */
    private Integer isDistribute;

    /**
     * CP通知状态，1为待处理，2为成功，3为失败
     */
    private Integer cpStatus;

    /**
     * CP附加参数
     */
    private String ext;

    /**
     * 用户备注
     */
    private String memNote;

    /**
     * 管理员备注
     */
    private String adminNote;

    /**
     * 订单成功备注信息
     */
    private String remark;

    /**
     * 渠道
     */
    private Long channel;

}
