package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏列表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_game")
public class Game {

    /**
     * 游戏ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * CP ID
     */
    private Long cpId;

    /**
     * 游戏名称
     */
    private String name;

    /**
     * appkey
     */
    private String appKey;

    /**
     * 游戏标签
     */
    private String tags;

    /**
     * 游戏类型
     */
    private String category;

    /**
     * 游戏类别
     */
    private Integer classify;

    /**
     * 网页游戏图标,200*200
     */
    private String icon;

    /**
     * CP回调路径
     */
    private String cpPaybackUrl;

    /**
     * 从属游戏
     */
    private Long parentId;

    /**
     * 包名
     */
    private String packageName;

    /**
     * 上线状态1 接入中， 2 可上线, 3 已下线
     */
    private Boolean status;

    /**
     * 1在线游戏 2 单机
     */
    private Boolean isOnline;

    /**
     * 1 不是SDK游戏  2 是SDK游戏
     */
    private Boolean isSdk;

    /**
     * 游戏宣传语
     */
    private String publicity;

    /**
     * 语言
     */
    private String language;

    /**
     * 游戏描述
     */
    private String description;

    /**
     * 游戏宣传图 JSON格式
     */
    private String image;

    /**
     * 苹果应用ID
     */
    private String appleId;

    /**
     * 是否需要强制实名认证，1为 关闭实名认证，2为 强制实名认证  3  开启实名认证
     */
    private Byte isAuth;

    /**
     * 扩展 JSON格式
     */
    private String extInfo;

    /**
     * 上线时间
     */
    private LocalDateTime onlineTime;

    /**
     * 1 伪删除  2 正常
     */
    private Boolean isDelete;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 渠道
     */
    private Long channel;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}