package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏来源表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_game_category")
public class GameCategory {

    /**
     * 游戏分类ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分类类型 1、游戏类型（微信小游戏/抖音小游戏/h5/app等） 2、游戏分类（策略游戏/卡牌游戏/）
     */
    private Boolean type;

    /**
     * 名称
     */
    private String name;

    /**
     * 状态 2为启用 1 为禁用
     */
    private Boolean status;

    /**
     * 父分类id(顶层游戏分类为0)
     */
    private Long parentId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}