package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏支付配置表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_game_pay_way")
public class GamePayWay {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 支付方式id
     */
    private Integer payWayId;

    /**
     * 支付code
     */
    private String payWayCode;

    /**
     * 支付方式自定义别名（为空时则展示支付方式+游戏名称）
     */
    private String payWayName;

    /**
     * 状态 1 不可用 2 可用
     */
    private Boolean status;

    /**
     * 支付配置json (存储根据payway设置后，配置的具体商户号信息)
     */
    private String payConfig;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Byte maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 当前已用支付额度
     */
    private BigDecimal currentPayAmount;

    /**
     * 是否已删除 1 已删除 2 正常
     */
    private Byte isDelete;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}