package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 玩家游戏表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_game_user")
public class GameUser {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户 id
     */
    private Long userId;

    /**
     * 导量的渠道ID
     */
    private Long guidedAgentId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 最近默认 2 默认 1 不默认
     */
    private Boolean isDefault;

    /**
     * 状态 2正常 1锁定
     */
    private Boolean status;

    /**
     * 累计充值
     */
    private BigDecimal sumMoney;

    /**
     * 开始玩时间
     */
    private LocalDateTime createTime;

    /**
     * 最后玩时间
     */
    private LocalDateTime updateTime;
}