package com.zanxiang.sdk.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 用户登录日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@TableName("h_user_login_log")
public class UserLoginLog {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 推广来源
     */
    private Long agentId;

    /**
     * 设备来源
     */
    private String fromDevice;

    /**
     * 设备ID android 为imei ios 为idfa
     */
    private String deviceId;

    /**
     * 登录ip
     */
    private String loginIp;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 登录时间
     */
    private LocalDateTime loginTime;
}