package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.sdk.SDKApplication;
import com.zanxiang.sdk.domain.bo.PlatformOrderBO;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;
import com.zanxiang.sdk.domain.entity.Order;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest(classes = {SDKApplication.class})
public interface PlatformOrderService extends IService<Order> {

    /**
     * 订单创建
     *
     * @param platformOrderBO
     * @return 订单id
     */
    String create(PlatformOrderBO platformOrderBO);

    /**
     * 订单支付
     *
     * @param platformOrderBO
     * @return true/false
     */
    Boolean pay(PlatformOrderBO platformOrderBO);

    Boolean cancel(PlatformOrderBO platformOrderBO);

    PlatformOrderDTO info(Long id);
}
